class BikeStationMarker extends SimplePointMarker {
  
  int id;
  String name;
  int bikesAvailable;
  int emptySlots;
  
  BikeStationMarker(Location location) {
    this.location = location;
  }
  
  public void draw(PGraphics pg, float x, float y) {
    pg.pushStyle();
    pg.noStroke();
    pg.fill(40, 40, 200, 100);
    float s = map(bikesAvailable, 0, maxBikesAvailable, 1, 50);
    pg.ellipse(x, y, s, s);
    pg.popStyle();
  }
  
}


